#!/usr/bin/env python3
# -*- coding: utf-8 -*-
#

from cmk.gui.i18n import _

from cmk.gui.plugins.metrics.utils import (
    metric_info,
    graph_info,
    perfometer_info,
)


_i = 0
while _i < 8:
    metric_info[f'checkpoint_mho_port_buffer_{_i}_frames'] = {
        'title': _(f'RX buffer {_i} frames'),
        'unit': '1/s',
        'color': f'1{_i // 2 + 1}/{chr(97 + _i % 2)}',
    }
    metric_info[f'checkpoint_mho_port_buffer_{_i}_octets'] = {
        'title': _(f'RX buffer {_i} octets'),
        'unit': '1/s',
        'color': f'2{_i // 2 + 1}/{chr(97 + _i % 2)}',
    }

    metric_info[f'checkpoint_mho_port_buffer_{_i}_discards'] = {
        'title': _(f'RX buffer {_i} discards'),
        'unit': '1/s',
        'color': f'3{_i // 2 + 1}/{chr(97 + _i % 2)}',
    }

    _i += 1

metric_info['checkpoint_mho_port_buffer_sum_frames'] = {
    'title': _('RX buffer frames summary'),
    'unit': '1/s',
    'color': '15/a',
}
metric_info['checkpoint_mho_port_buffer_sum_octets'] = {
    'title': _('RX buffer octets summary'),
    'unit': '1/s',
    'color': '25/a',
}

metric_info['checkpoint_mho_port_buffer_sum_discards'] = {
    'title': _('RX buffer discards summary'),
    'unit': '1/s',
    'color': f'35/a',
}


graph_info['checkpoint_mho_port_buffer_frames'] = {
    'title': _('Check Point MHO RX buffer frames'),
    'metrics': [
        ('checkpoint_mho_port_buffer_sum_frames', 'line'),
        ('checkpoint_mho_port_buffer_0_frames', 'line'),
        ('checkpoint_mho_port_buffer_1_frames', 'line'),
        ('checkpoint_mho_port_buffer_2_frames', 'line'),
        ('checkpoint_mho_port_buffer_3_frames', 'line'),
        ('checkpoint_mho_port_buffer_4_frames', 'line'),
        ('checkpoint_mho_port_buffer_5_frames', 'line'),
        ('checkpoint_mho_port_buffer_6_frames', 'line'),
        ('checkpoint_mho_port_buffer_7_frames', 'line'),
    ],
}

graph_info['checkpoint_mho_port_buffer_octets'] = {
    'title': _('Check Point MHO RX buffer octets'),
    'metrics': [
        ('checkpoint_mho_port_buffer_sum_octets', 'line'),
        ('checkpoint_mho_port_buffer_0_octets', 'line'),
        ('checkpoint_mho_port_buffer_1_octets', 'line'),
        ('checkpoint_mho_port_buffer_2_octets', 'line'),
        ('checkpoint_mho_port_buffer_3_octets', 'line'),
        ('checkpoint_mho_port_buffer_4_octets', 'line'),
        ('checkpoint_mho_port_buffer_5_octets', 'line'),
        ('checkpoint_mho_port_buffer_6_octets', 'line'),
        ('checkpoint_mho_port_buffer_7_octets', 'line'),
    ],
}

graph_info['checkpoint_mho_port_buffer_discards'] = {
    'title': _('Check Point MHO RX buffer discards'),
    'metrics': [
        ('checkpoint_mho_port_buffer_sum_discards', 'line'),
        ('checkpoint_mho_port_buffer_0_discards', 'line'),
        ('checkpoint_mho_port_buffer_1_discards', 'line'),
        ('checkpoint_mho_port_buffer_2_discards', 'line'),
        ('checkpoint_mho_port_buffer_3_discards', 'line'),
        ('checkpoint_mho_port_buffer_4_discards', 'line'),
        ('checkpoint_mho_port_buffer_5_discards', 'line'),
        ('checkpoint_mho_port_buffer_6_discards', 'line'),
        ('checkpoint_mho_port_buffer_7_discards', 'line'),
    ],
}
