#!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# License: GNU General Public License v2
#
# Author: thl-cmk[at]outlook[dot]com
# URL   : https://thl-cmk.hopto.org
# Date  : 2021-12-02
#
from cmk.gui.i18n import _
from cmk.gui.valuespec import (
    Dictionary,
    FixedValue,
)

from cmk.gui.plugins.wato.utils import (
    rulespec_registry,
    RulespecGroupCheckParametersDiscovery,
    HostRulespec,
)


def _valuespec_discovery_checkpoint_mho_buffers():
    return Dictionary(
            title=_('Check Point MHO buffers'),
            elements=[
                ('add_admin_down',
                 FixedValue(
                     False,
                     title=_('Do not add Admin down ports'),
                     totext=_('If enabled the plugin will not add ports in Admin down state'),
                 )),
                ('add_link_down',
                 FixedValue(
                     False,
                     title=_('Do not add Link down ports'),
                     totext=_('If enabled the plugin will not add ports in Link down state'),
                 )),
            ],
        )


rulespec_registry.register(
    HostRulespec(
        group=RulespecGroupCheckParametersDiscovery,
        match_type='dict',
        name='discovery_checkpoint_mho_buffers',
        valuespec=_valuespec_discovery_checkpoint_mho_buffers,
    ))
